package com.ruoyi.system.domain_shate;

 
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class SeedingSuccessRate extends  SysSTEntity
{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    private Integer id;


    private String zone;


    private Double plantingArea;

    private Double seedingSuccessArea;

    private Double seedingSuccess;

    private String imageDate;


    private String productCode1;


    private String productCode2;


    private String productCode3;

 
    private String createdBy;

    private LocalDateTime createdTime;

    private  String year;

    public SeedingSuccessRate() {

    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getPlantingArea() {
        return plantingArea;
    }

    public void setPlantingArea(Double plantingArea) {
        this.plantingArea = plantingArea;
    }

    public Double getSeedingSuccessArea() {
        return seedingSuccessArea;
    }

    public void setSeedingSuccessArea(Double seedingSuccessArea) {
        this.seedingSuccessArea = seedingSuccessArea;
    }



    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    public SeedingSuccessRate(Integer id, String zone, Double plantingArea, Double seedingSuccessArea, String imageDate, String productCode1, String productCode2, String productCode3, String createdBy, LocalDateTime createdTime) {
        this.id = id;
        this.zone = zone;
        this.plantingArea = plantingArea;
        this.seedingSuccessArea = seedingSuccessArea;
        this.imageDate = imageDate;
        this.productCode1 = productCode1;
        this.productCode2 = productCode2;
        this.productCode3 = productCode3;
        this.createdBy = createdBy;
        this.createdTime = createdTime;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Double getSeedingSuccess() {
        return seedingSuccess;
    }

    public void setSeedingSuccess(Double seedingSuccess) {
        this.seedingSuccess = seedingSuccess;
    }
}
